########################################################################
# ALIASES
########################################################################

# configuration files
alias kshrc="vim ~/.kshrc"
alias muttrc="vim ~/.mutt/rc-common"
alias vimrc="vim ~/.vim/vimrc"
alias hlconf="vim ~/.config/herbstluftwm/autostart"
alias hc="herbstclient"
alias bspwmrc="vim ~/.config/bspwm/bspwmrc"
alias sxhkdrc="vim ~/.config/bspwm/sxhkdrc"
alias vimbrc="vim ~/.config/vimb/config"
alias exrc="vim ~/.exrc"

# translation
alias trans-en="trans -l de -s en -t de --no-ansi"
alias trans-de="trans -l en -s de -t en --no-ansi"

alias g="ugrep -In --break --sort"
alias gf="g -F"

# taskwarrior
alias t=task
alias tall="task rc.context:"
alias ta="task add"
alias ta-work="task rc.context:work add"
alias ta-home="task rc.context:home add"
alias ta-uugrn="task rc.context:uugrn add"
alias ta-openbsd="task rc.context:openbsd add"
alias tm="task mod"

# gopher bookmarks
alias fefe="sacc gopher://codevoid.de/1/fefe"
alias hn="sacc gopher://codevoid.de/1/hn"
alias cv="sacc gopher://codevoid.de"

# pim
alias notes="vim ~/Documents/notes/notes.txt"
alias events="vim ~/Documents/notes/events.txt"
alias caly="ncal -Cy"
alias calm="ncal -3C"
alias sendnote="mail sh@codevoid.de"

# music
alias music_psychedelik="mpg123 -b 1024 http://62.210.114.63:8000"
alias music_progressive="mpg123 -b 1024 http://62.210.114.63:8010"
alias music_drum-n-bass="mpg123 -b 1024 http://62.210.114.63:8030"
alias music_ambient="mpg123 http://62.210.114.63:8002/listen.mp3"
alias music_tilderadio="ogg123 https://tilderadio.org/listen"
alias music_bitreich="mpv gopher://bitreich.org/9/radio/listen"
alias flac_encode="flac -e --best --delete-input-file"

# IRC
alias irc-uugrn="catgirl UUGRN"
alias irc-bitreich="catgirl Bitreich"
alias irc-efnet="catgirl EfNet"
alias irc-hackint="catgirl HackInt"
alias irc-ircnow="catgirl IRCNOW"
alias irc-ircnet="catgirl IRCNet"
alias irc-liberachat="catgirl LiberaChat"
alias irc-oftc="catgirl OFTC"
alias irc-robustirc="catgirl RobustIRC"

# security
alias htpasswd-openssl="openssl passwd -apr1"
alias inssh="ssh -o HostKeyAlgorithms=+ssh-rsa \
                 -o KexAlgorithms=+diffie-hellman-group1-sha1 \
                 -o Ciphers=+aes256-cbc"
alias my-ssh-pubkey="pass Keystore/ssh-private | head -n1"
alias my-ssh-seckey="pass Keystore/ssh-private | tail -n7"
alias my-gpg-pubkey="gpg --export-options export-minimal --export -a 52BE43BA"
alias my-gpg-seckey="gpg --export-options export-minimal --export-secret-keys -a 52BE43BA"

# backup
alias tarsnap="doas \tarsnap"

# archives
alias innoextract="\innoextract -g"

alias wget-mirror="wget --mirror --page-requisites --html-extension --convert-links"

# games
alias quake="\vkquake +game id1"
alias quake-mp1-scourge_of_armagon="\vkquake +game hipnotic"
alias quake-mp2-dissolution_of_eternity="\vkquake +game rogue"
alias quake2="\quake2 +game baseq2"
alias quake2-mp1-the_reconning="\quake2 +game xatrix"
alias quake2-mp2-ground_zero="\quake2 +game rogue"
alias quake2-ex1-jaggernaut="\quake2 +game jaggernaut"
alias quake2-ex2-zaero="\quake2 +game zaero"
alias doom3="dhewm3 +set r_fullscreen 1 +set com_fixedtic -1"
alias steam-list="steamctl --user sdk82 apps list"
alias steam-download="steamctl --user sdk82 depot download -os linux64 -a"

# terminal internet stuff
alias terminal_map="telnet mapscii.me"
alias terminal_bofh="telnet towel.blinkenlights.nl 666"
alias terminal_starwars="telnet towel.blinkenlights.nl 23"
alias terminal_cnn="links http://lite.cnn.io/en"
alias terminal_8ball="lynx -width=300 --dump https://codevoid.de/8Ball"
alias terminal_weather="curl wttr.in/Hockenheim"
alias terminal_bbs="telnet gopher.su 1234"
alias terminal_unix50="ssh unix50@unix50.org"

# bookmarks
alias uug-mastodon="firefox https://chaos.social/@uugrn"
alias uug-twitter="firefox https://twitter.com/@uugrn"
alias discord-me="firefox https://discord.com/channels/@me"
alias discord-immortals="firefox https://discord.com/channels/991041843871502366/1000826654974812160"
alias cups-config="firefox http://localhost:631"

alias bbs='ssh -t sdk@home.codevoid.de "LANG=de_DE.UTF-8 syncterm -iC localhost:2323"'

# mastodon
alias toot-sh="toot-wrapper sh@bsd.network"
alias toot-uug="toot-wrapper uugrn@chaos.social"
alias tuta="tut -u 'sh@bsd.network uugrn@chaos.social'"

# reddit
alias reddit-spectrwm="tuir -s spectrwm"
alias reddit-openbsd="tuir -s openbsd"
alias reddit-c="tuir -s C_programming"
